[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Fixed: Rawstudio is broken in F10 ?



On Sat, 2008-12-06 at 18:52 +0100, Kevin Kofler wrote:
> Linuxguy123 wrote:
> > I renamed it to libexiv2.so.0 and rawstudio runs.
> 
> You just changed the unversioned symlink which is used when compiling (to
> link against libexiv2.so.4 without having to know that it is the .so.4
> version) into a symlink from libexiv2.so.0 to libexiv2.so.4. This is
> completely broken because the version number has changed for a reason!
> 
> > Apparently its not ancient, its still being shipped.
> 
> No it's not. libexiv2.so.4 is. Symlinking libexiv2.so.0 to it might appear
> to make it work, but it is very likely to cause subtle bugs. The soname was
> bumped for a reason.
> 
> The proper fix is to use the rawstudio-1.1.1-1.fc10 package in the Fedora 10
> Everything repository, which is actually built to work in Fedora 10.

MY BAD !

I forgot that I downloaded the source for rawstudio and built it myself.
I missed the fact that yum showed rawstudio to be available and not
installed on my computer.  I am sleeping this morning.  

I uninstalled the version I built.  I installed the F10 yum version.
Everything works. 

I'll issue a retraction.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]